SCSI_ALLOC_SDEV(9)

NAME
scsi_alloc_sdev - allocate and setup a scsi_Device

SYNOPSIS

struct scsi_device * scsi_alloc_sdev(struct scsi_target * starget, u64 lun, void * hostdata);

ARGUMENTS

starget
    which target to allocate a scsi_device for

lun
    which lun

hostdata
    usually NULL and set by ->slave_alloc instead

DESCRIPTION

Allocate, initialize for io, and return a pointer to a scsi_Device. Stores the shost, channel, id, and lun in the scsi_Device, and adds scsi_Device to the appropriate list.

RETURN VALUE

scsi_Device pointer, or NULL on failure.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT